Download it now!
Bug 120450 - kde5: Active toolbar not preselected in "View" -> "User Interface"
Summary: kde5: Active toolbar not preselected in "View" -> "User Interface"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Main-Menu KDE Toolbars
  Show dependency treegraph
 
Reported: 2018-10-09 10:36 UTC by Michael Weghorn
Modified: 2018-10-24 18:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-09 10:36:33 UTC
version: master build as of commit 260701270abc7997996625449cd3d40f8b4f7f49
VCL: kde5 on X11 (the gtk3 VCL plugin e.g. works fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) start LibreOffice Writer
2) open the "View" -> "User interface" menu

Result: The three entries ("Standard Toolbar", "Single toolbar", "Sidebar") and their radio buttons are shown, but none of the radio buttons is checked.

Expected result: The checkbox for the currently selected user interface option should be checked.

(Also, "View" -> "Toolbars" does not show any toolbar as active (none of the checkboxes is checked), even when toolbars are enabled.)
Comment 1 Katarina Behrens (Inactive) 2018-10-23 14:23:06 UTC
*** Bug 120455 has been marked as a duplicate of this bug. ***
Comment 2 Commit Notification 2018-10-24 07:59:52 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b439cfda24676c5272e3fe30c0a521975f948274

tdf#120450: Radiobuttons want to be checked too

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Weghorn 2018-10-24 18:30:43 UTC
Verified with

Version: 6.2.0.0.alpha1+
Build ID: 9dc5234d36ebcafca36aece80b6a9b59da287cda
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded

The toolbars under "View" -> "Toolbars" are still not preselected, so I've created  the new bug 120881 for this.